<template>
  <div >
    <nav class="navbar navbar-expand navbar-dark bg-dark" v-if="user">
      <div class="navbar-nav" >
        <a class="nav-item nav-link" href="/">Home</a>
        <a class="nav-item nav-link" href="/audit">Audit</a>
        <a class="nav-item nav-link" @click="logout"
          >Logout</a
        >
      </div>
    </nav>
    <div class="jumbotron">
      <div class="container">
        <div class="row">
          <div class="col-sm-6 offset-sm-3">
            <div v-if="alert.message" :class="`alert ${alert.type}`">
              {{ alert.message }}
            </div>
            <router-view></router-view>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { mapState, mapActions } from "vuex";

export default {
  name: "app",
  computed: {
    ...mapState({
      alert: (state) => state.alert,
    }),
  },
  data() {
    return {
      user: localStorage.getItem("user"),
    };
  },
  methods: {
    logout() {
      localStorage.removeItem("user");
      window.location.reload();
      return;
    },
    ...mapActions({
      clearAlert: "alert/clear",
    }),
  },
  watch: {
    $route(to, from) {
      // clear alert on location change
      this.clearAlert();
    },
  },
};
</script>